package com.example.optionmenuapp;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.option_menu, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        String str = "";

        switch (item.getItemId()) {
            case R.id.item1 : str = "メニュー１が選択されました。"; break;
            case R.id.item2 : str = "メニュー２が選択されました。"; break;
            case R.id.item3 : str = "メニュー３が選択されました。"; break;
        }

        Toast toast = Toast.makeText(this, str, Toast.LENGTH_SHORT);
        toast.show();

        return super.onOptionsItemSelected(item);
    }
}
